Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.params
Class MultiPeriodGenParams.PeriodGen

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.RandomVariateGenParams
          umontreal.iro.lecuyer.contactcenters.params.MultiPeriodGenParams.PeriodGen

Enclosing class:
  MultiPeriodGenParams

    public static class MultiPeriodGenParams.PeriodGen

extends RandomVariateGenParams

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<http://www.iro.umontreal.ca/lecuyer/ssj>RandomVariateGenParams">
           <attribute name="repeat" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeInt" default="1" />
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected Integer` | `repeat`

Fields inherited from class umontreal.iro.lecuyer.xmlbind.params.RandomVariateGenParams
`distributionClass, estimateParameters, generatorClass, lowerBound, params, shift, upperBound`

Constructor Summary
`MultiPeriodGenParams.PeriodGen()`

Method Summary
`int` | `getRepeat()` Gets the value of the repeat property.
`boolean` | `isSetRepeat()`
`void` | `setRepeat(int value)` Sets the value of the repeat property.
`void` | `unsetRepeat()`

Methods inherited from class umontreal.iro.lecuyer.xmlbind.params.RandomVariateGenParams
`getDistributionClass, getGeneratorClass, getLowerBound, getParams, getParams, getParamsLength, getShift, getUpperBound, isEstimateParameters, isSetDistributionClass, isSetEstimateParameters, isSetGeneratorClass, isSetLowerBound, isSetParams, isSetShift, isSetUpperBound, setDistributionClass, setEstimateParameters, setGeneratorClass, setLowerBound, setParams, setParams, setShift, setUpperBound, unsetEstimateParameters, unsetLowerBound, unsetParams, unsetShift, unsetUpperBound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repeat

    protected Integer repeat

Constructor Detail

### MultiPeriodGenParams.PeriodGen

    public MultiPeriodGenParams.PeriodGen()

Method Detail

### getRepeat

    public int getRepeat()

  Gets the value of the repeat property.

  Returns:
    possible object is `Integer`

### setRepeat

    public void setRepeat(int value)

  Sets the value of the repeat property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetRepeat

    public boolean isSetRepeat()

### unsetRepeat

    public void unsetRepeat()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.